USE beispiel
GO
create trigger tr_gesamt_mittel
    on projekt
    for update as
    if update(mittel)
       begin
      declare @alte_summe float
      declare @neue_summe float
      select @alte_summe=(select sum(mittel) from deleted)
      select @neue_summe=(select sum(mittel) from inserted)
       if @neue_summe > @alte_summe * 1.5
           begin
           print 'Die nderung der Projektmittel nicht ausgefhrt'
           rollback transaction
           end
       else
       print 'Die nderung der Projektmittel ausgefhrt'
       end
