USE beispiel
create table abteilung
     (abt_nr char(4) not null,
     abt_name char(20) not null,
      stadt char(15) null,
      primary key(abt_nr))
create table projekt
     (pr_nr char(4) not null,
     pr_name char(25) not null,
     mittel float null,
     primary key(pr_nr))
create table mitarbeiter
     (m_nr integer not null,
     m_name char(20) not null,
     m_vorname char(20) not null,
     abt_nr char(4) null,
     primary key(m_nr),
     foreign key(abt_nr) references abteilung(abt_nr))
create table arbeiten
     (m_nr integer not null,
     pr_nr char(4) not null,
     aufgabe char(15) null,
     einst_dat datetime null,
     primary key(m_nr, pr_nr),
     foreign key(m_nr) references mitarbeiter(m_nr),
     foreign key(pr_nr) references projekt(pr_nr))
