USE beispiel
WITH price_calc (year_2005) AS
   (SELECT AVG(price)
                       from orders
                       WHERE YEAR(orderdate) = '2005')
SELECT orderid
   FROM freights
   WHERE price > (SELECT year_2005
                   FROM price_calc)
   AND freight > (SELECT year_2005
                   FROM price_calc) /10
