USE beispiel
WITH list_of_parts(assembly, quantity, cost) AS
  (SELECT containing_assembly, quantity_contained ,unit_cost
     FROM airplane
     WHERE contained_assembly IS NULL
   UNION ALL
   SELECT a.containing_assembly, a.quantity_contained,
         CAST(l.quantity*l.cost AS DECIMAL(6,2))
          FROM list_of_parts l,airplane a 
         WHERE l.assembly = a.contained_assembly )
