-- Dieses Transact-SQL-Skript erstellt alle Tabellen fr das SQL-Server-Buch
CREATE DATABASE beispiel
GO
USE beispiel
GO
CREATE TABLE abteilung
    (abt_nr char(4) not null,
     abt_name char(20) not null,
     stadt char(15) null)  
CREATE TABLE mitarbeiter
   (m_nr int not null,
    m_name char(20) not null,
    m_vorname char(20) not null,
    abt_nr char(4) null)
CREATE TABLE projekt
   (pr_nr char(4) not null,
    pr_name char(25) not null,
    mittel float null)
CREATE TABLE arbeiten
   (m_nr int not null,
    pr_nr char(4) not null,
    aufgabe char(15) null,
    einst_dat datetime null)
INSERT INTO mitarbeiter VALUES(25348,'Keller','Hans','a3') 
INSERT INTO mitarbeiter VALUES(10102,'Huber','Petra','a3') 
INSERT INTO mitarbeiter VALUES(18316,'Mller','Gabriele','a1') 
INSERT INTO mitarbeiter VALUES(29346,'Probst','Andreas','a2') 
INSERT INTO mitarbeiter VALUES(9031,'Meier','Rainer','a2') 
INSERT INTO mitarbeiter VALUES(2581,'Kaufmann','Brigitte','a2') 
INSERT INTO mitarbeiter VALUES(28559,'Mozer','Sibille','a1') 
INSERT INTO abteilung VALUES('a1','Beratung','Mnchen') 
INSERT INTO abteilung VALUES('a2','Diagnose','Mnchen') 
INSERT INTO abteilung VALUES('a3','Freigabe','Stuttgart') 
INSERT INTO projekt VALUES('p1','Apollo',120000.0) 
INSERT INTO projekt VALUES('p2','Gemini',95000.0) 
INSERT INTO projekt VALUES('p3','Merkur',186500.0) 
INSERT INTO arbeiten VALUES(10102,'p1','Projektleiter','1.10.1988') 
INSERT INTO arbeiten VALUES(10102,'p3','Gruppenleiter','01.01.1989') 
INSERT INTO arbeiten VALUES(25348,'p2','Sachbearbeiter','15.2.1988') 
INSERT INTO arbeiten VALUES(18316,'p2',NULL,'01.06.1989') 
INSERT INTO arbeiten VALUES(29346,'p2',NULL,'15.12.1987') 
INSERT INTO arbeiten VALUES(2581,'p3','Projektleiter','15.10.1989') 
INSERT INTO arbeiten VALUES(9031,'p1','Gruppenleiter','14.4.1989') 
INSERT INTO arbeiten VALUES(28559,'p1',NULL,'01.08.1988') 
INSERT INTO arbeiten VALUES(28559,'p2','Sachbearbeiter','01.02.1989') 
INSERT INTO arbeiten VALUES(9031,'p3','Sachbearbeiter','15.11.1988') 
INSERT INTO arbeiten VALUES(29346,'p1','Sachbearbeiter','01.04.1989') 
